package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.AttReaBase;
import org.apache.ibatis.annotations.Mapper;

/** 河道信息 Mapper */
@Mapper
public interface AttReaBaseMapper {
    /**
     * 查询河道信息列表
     * 
     * @param attReaBase 查询条件
     * @return 河道信息列表
     */
    public List<AttReaBase> selectAttReaBaseList(AttReaBase attReaBase);

    /**
     * 通过河道编码查询河道信息
     * 
     * @param reaCode 河道编码
     * @return 河道信息
     */
    public AttReaBase selectAttReaBaseById(String reaCode);

    /**
     * 通过河道编码删除河道信息
     * 
     * @param reaCode 河道编码
     * @return 影响行数
     */
    public int deleteAttReaBaseById(String reaCode);

    /**
     * 批量删除河道信息
     * 
     * @param reaCodes 河道编码数组
     * @return 影响行数
     */
    public int deleteAttReaBaseByIds(String[] reaCodes);

    /**
     * 修改河道信息
     * 
     * @param attReaBase 河道信息
     * @return 影响行数
     */
    public int updateAttReaBase(AttReaBase attReaBase);

    /**
     * 新增河道信息
     * 
     * @param attReaBase 河道信息
     * @return 影响行数
     */
    public int insertAttReaBase(AttReaBase attReaBase);
}
